﻿using MbUnit.Web;
using MbUnit.Framework;
using WatiN.Core;

namespace WebServerDemoTests
{
    [TestFixture]
    public class DefaultPageTest : AbstractBrowserTestFixture<DefaultPageTest.Page>
    {
        [Test, RunBrowser]
        public void PostbackTest()
        {
            var page = GoToPage();
            page.TextBoxName.TypeText("McFly");
            page.ButtonOk.Click();
            Assert.AreEqual(page.SpanResult.Text, "Hello, McFly.");
        }

        [Url("http://localhost:2598/WebForm1.aspx")]
        public class Page : WatiN.Core.Page
        {
            [FindBy(Id = "txtName")]
            public TextField TextBoxName;

            [FindBy(Id = "btnOK")]
            public Button ButtonOk;

            [FindBy(Id = "lblResult")]
            public Span SpanResult;
        }
    }

}
